# Class TradeStatistics3

#### Hierarchy

- unknown
  - TradeStatistics3

- Defined in src/protobuf/pb_pb.d.ts:2665
- Defined in src/protobuf/pb_pb.d.ts:2706

#####
Index

### Constructors

constructor

### Methods

clearExtraDataMap
getAmount
getArbitrator
getCurrency
getDate
getExtraDataMap
getHash
getHash_asB64
getHash_asU8
getMakerDepositTxId
getPaymentMethod
getPrice
getTakerDepositTxId
serializeBinary
setAmount
setArbitrator
setCurrency
setDate
setHash
setMakerDepositTxId
setPaymentMethod
setPrice
setTakerDepositTxId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new TradeStatistics3(): TradeStatistics3

- #### Returns TradeStatistics3

  Inherited from jspb.Message.constructor

## Methods

### clearExtraDataMap

- clearExtraDataMap(): TradeStatistics3

- #### Returns TradeStatistics3

  - Defined in src/protobuf/pb_pb.d.ts:2696

### getAmount

- getAmount(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2672

### getArbitrator

- getArbitrator(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2681

### getCurrency

- getCurrency(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2666

### getDate

- getDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2678

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- #### Returns Map<string, string>

  - Defined in src/protobuf/pb_pb.d.ts:2695

### getHash

- getHash(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2684

### getHash_asB64

- getHash_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2686

### getHash_asU8

- getHash_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2685

### getMakerDepositTxId

- getMakerDepositTxId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2689

### getPaymentMethod

- getPaymentMethod(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2675

### getPrice

- getPrice(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2669

### getTakerDepositTxId

- getTakerDepositTxId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2692

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2698

### setAmount

- setAmount(value: number): TradeStatistics3

- #### Parameters

  - ##### value: number

  #### Returns TradeStatistics3

  - Defined in src/protobuf/pb_pb.d.ts:2673

### setArbitrator

- setArbitrator(value: string): TradeStatistics3

- #### Parameters

  - ##### value: string

  #### Returns TradeStatistics3

  - Defined in src/protobuf/pb_pb.d.ts:2682

### setCurrency

- setCurrency(value: string): TradeStatistics3

- #### Parameters

  - ##### value: string

  #### Returns TradeStatistics3

  - Defined in src/protobuf/pb_pb.d.ts:2667

### setDate

- setDate(value: number): TradeStatistics3

- #### Parameters

  - ##### value: number

  #### Returns TradeStatistics3

  - Defined in src/protobuf/pb_pb.d.ts:2679

### setHash

- setHash(value: string | Uint8Array): TradeStatistics3

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradeStatistics3

  - Defined in src/protobuf/pb_pb.d.ts:2687

### setMakerDepositTxId

- setMakerDepositTxId(value: string): TradeStatistics3

- #### Parameters

  - ##### value: string

  #### Returns TradeStatistics3

  - Defined in src/protobuf/pb_pb.d.ts:2690

### setPaymentMethod

- setPaymentMethod(value: string): TradeStatistics3

- #### Parameters

  - ##### value: string

  #### Returns TradeStatistics3

  - Defined in src/protobuf/pb_pb.d.ts:2676

### setPrice

- setPrice(value: number): TradeStatistics3

- #### Parameters

  - ##### value: number

  #### Returns TradeStatistics3

  - Defined in src/protobuf/pb_pb.d.ts:2670

### setTakerDepositTxId

- setTakerDepositTxId(value: string): TradeStatistics3

- #### Parameters

  - ##### value: string

  #### Returns TradeStatistics3

  - Defined in src/protobuf/pb_pb.d.ts:2693

### toObject

- toObject(includeInstance?: boolean): TradeStatistics3.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns TradeStatistics3.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2699

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): TradeStatistics3

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TradeStatistics3

  - Defined in src/protobuf/pb_pb.d.ts:2702

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TradeStatistics3, reader: BinaryReader): TradeStatistics3

- #### Parameters

  - ##### message: TradeStatistics3

  - ##### reader: BinaryReader

  #### Returns TradeStatistics3

  - Defined in src/protobuf/pb_pb.d.ts:2703

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: TradeStatistics3, writer: BinaryWriter): void

- #### Parameters

  - ##### message: TradeStatistics3

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2701

### `Static` toObject

- toObject(includeInstance: boolean, msg: TradeStatistics3): TradeStatistics3.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TradeStatistics3

  #### Returns TradeStatistics3.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2700

Generated using TypeDoc